Index: trunk/configure.in
===================================================================
--- trunk/configure.in	(revision 2177)
+++ trunk/configure.in	(revision 2180)
@@ -6,4 +6,15 @@
 
 with_tclsh=yes
+rp_with_tclsh="yes"
+rp_with_mkoctfile2="no"
+rp_with_mkoctfile3="no"
+rp_with_octave="yes"
+rp_with_vtk="yes"
+rp_with_matlab="yes"
+rp_with_perl="yes"
+rp_with_python="yes"
+rp_with_ruby="yes"
+rp_with_java="yes"
+with_install="yes"
 
 #------------------------------------------------------------------------
@@ -143,5 +154,4 @@
 
 
-rp_with_tclsh="yes"
 AC_ARG_WITH(
     [tclsh],
@@ -252,20 +262,26 @@
 AC_SUBST(MEXEXT)
 
+#
+# Octave variables:
+#
+#	OCTAVE		Path to default octave executable.  Will use
+#			to determine the version os 
+#	MKOCTFILE	Path to the default octave 
+#
+
 # Standard octave search (use the installed version of octave)
 AC_ARG_WITH(
     [octave],
     [AS_HELP_STRING([--with-octave[=DIR]],
-        [location of octave compiler MKOCTFILE @<:@default=yes@:>@])],
+        [path of default octave compiler `mkoctfile' @<:@default=yes@:>@])],
     [rp_with_octave=$withval],
     [rp_with_octave=yes])
 
 OCTAVE=
-OCTAVE2=
-OCTAVE3=
 OCTAVE_VERSION=
 OCTAVE_VERSION_MAJOR=
-MKOCTFILE=
 MKOCTFILE2=
 MKOCTFILE3=
+
 if test "$rp_with_octave" != "no" ; then
   if test "$rp_with_octave" = "yes" ; then
@@ -278,7 +294,4 @@
 fi
 
-echo MKOCTFILE=$MKOCTFILE
-echo OCTAVE=$OCTAVE
-
 if test "x${OCTAVE}" != "x" ; then 
   OCTAVE_VERSION=`${OCTAVE} -v | grep version | cut -d' ' -f4`
@@ -294,51 +307,48 @@
 fi
 
-# Check if octave2 was designated *in addition* to the installed version.
-AC_ARG_WITH(
-    [octave2],
-    [AS_HELP_STRING([--with-octave2[=DIR]],
-        [location of octave compiler MKOCTFILE @<:@default=no@:>@])],
-    [rp_with_octave2=$withval],
-    [rp_with_octave2=no])
-
-if test "$rp_with_octave2" != "no" ; then
-  if test "$rp_with_octave2" = "yes" ; then
-    AC_PATH_PROG(octave2, octave)
+# Check if mkoctfile2 was designated *in addition* to the installed version.
+AC_ARG_WITH(
+    [mkoctfile2],
+    [AS_HELP_STRING([--with-mkoctfile2[=DIR]],
+        [path of octave compiler `mkoctfile' @<:@default=no@:>@])],
+    [rp_with_mkoctfile2=$withval],
+    [rp_with_mkoctfile2=no])
+
+if test "$rp_with_mkoctfile2" != "no" ; then
+  if test "$rp_with_mkoctfile2" = "yes" ; then
     AC_PATH_PROG(mkoctfile2, mkoctfile)
   else 
-    OCTAVE2=$rp_with_octave2
-    MKOCTFILE2=`dirname $rp_with_octave2`/mkoctfile
-  fi
+    MKOCTFILE2=$rp_with_mkoctfile2
+  fi
+  OCTAVE_VERSION=`${MKOCTFILE2} --version 2>&1 | cut -d' ' -f3`
+  OCTAVE_VERSION_MAJOR=`echo ${OCTAVE_VERSION} | cut -d'.' -f1`
 fi
 
 # Check if octave3 was designated *in addition* to the installed version.
 AC_ARG_WITH(
-    [octave3],
-    [AS_HELP_STRING([--with-octave3[=DIR]],
-        [location of octave compiler MKOCTFILE @<:@default=no@:>@])],
-    [rp_with_octave3=$withval],
-    [rp_with_octave3=no])
-
-if test "$rp_with_octave3" != "no" ; then
-  if test "$rp_with_octave3" = "yes" ; then
-    AC_PATH_PROG(octave3, octave)
+    [mkoctfile3],
+    [AS_HELP_STRING([--with-mkoctfile3[=DIR]],
+        [path of octave compiler `mkoctfile' @<:@default=no@:>@])],
+    [rp_with_mkoctfile3=$withval],
+    [rp_with_mkoctfile3=no])
+
+if test "$rp_with_mkoctfile3" != "no" ; then
+  if test "$rp_with_mkoctfile3" = "yes" ; then
     AC_PATH_PROG(mkoctfile3, mkoctfile)
   else 
-    OCTAVE3=$rp_with_octave3
-    MKOCTFILE3=`dirname $rp_with_octave3`/mkoctfile
-  fi
-fi
-
-echo MKOCTFILE2=$MKOCTFILE2
-echo OCTAVE2=$OCTAVE2
-echo MKOCTFILE3=$MKOCTFILE3
-echo OCTAVE3=$OCTAVE3
-
-AC_SUBST(OCTAVE2)
-AC_SUBST(OCTAVE3)
+    MKOCTFILE3=$rp_with_mkoctfile3
+  fi
+  OCTAVE_VERSION=`${MKOCTFILE3} --version 2>&1 | cut -d' ' -f3`
+  OCTAVE_VERSION_MAJOR=`echo ${OCTAVE_VERSION} | cut -d'.' -f1`
+fi
+
+echo "MKOCTFILE2 = $MKOCTFILE2"
+echo "MKOCTFILE3 = $MKOCTFILE3"
+echo "OCTAVE_VERSION_MAJOR = $OCTAVE_VERSION_MAJOR"
+echo "OCTAVE_VERSION = $OCTAVE_VERSION"
+
 AC_SUBST(OCTAVE)
 AC_SUBST(OCTAVE_VERSION)
 AC_SUBST(OCTAVE_VERSION_MAJOR)
-AC_SUBST(MKOCTFILE)
 AC_SUBST(MKOCTFILE2)
 AC_SUBST(MKOCTFILE3)
@@ -512,5 +522,4 @@
 AC_SUBST(RUBY_PLATFORM)
 
-rp_with_java="yes"
 JAVA=""
 JAVAH=""
